TulipTulip Docs
Sinistres

Récupérer un document

Ce endpoint permet de récupérer les détails d'un document avec une URL de téléchargement signée. L'URL expire après 1 heure.

GET
/claims/{claimId}/documents/{documentId}
key<token>

In: header

Path Parameters

claimId*string

L'identifiant unique du sinistre (pré-déclaration ou sinistre)

documentId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.mytulip.io/v2/claims/claim_xyz789/documents/string"
{
  "success": true,
  "data": {
    "id": "doc_abc123",
    "type": "Dépôt de plainte",
    "title": "Plainte du 15/01/2024",
    "mimeType": "application/pdf",
    "status": "waiting_for",
    "refusalReason": "string",
    "note": "string",
    "createdAt": "2024-01-16T10:00:00Z",
    "updatedAt": "2024-01-16T10:30:00Z",
    "uploadedAt": "2024-01-16T10:30:00Z",
    "acceptedAt": "2025-01-01T00:00:00.000Z",
    "refusedAt": "2025-01-01T00:00:00.000Z",
    "downloadUrl": "https://storage.googleapis.com/bucket/path/to/document.pdf?X-Goog-Algorithm=...",
    "downloadUrlExpiresAt": "2024-01-16T11:30:00Z"
  }
}
{
  "success": false,
  "error": {
    "code": 0,
    "message": "string"
  }
}
{
  "success": false,
  "error": {
    "code": 0,
    "message": "string"
  }
}
{
  "success": false,
  "error": {
    "code": 0,
    "message": "string"
  }
}

Que pensez-vous de cette page ?